@import '_variables';

html {
    font-size: 16px;
}

body {
    background-color: $roma;
    color: $paris;
    font-size: 16px;
    font-family: 'Inter', sans-serif;
    font-weight: 600;
    font-style: normal;
    line-height: 19px;
}

header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin: 0 auto;
    padding-left: 101px;
    padding-right: 50px;
}

.nav {
    list-style: none;
    padding-left: 0;
    display: flex;
    align-items: center;
    margin-top: 38px;

    &_item {
        margin-right: 54px;
        font-family: 'Inter';
        font-style: normal;
        font-weight: 600;
        font-size: 16px;
        line-height: 19px;
    }

    &_link {
        color: $paris;
        text-decoration: none;
        position: relative;
    }
    
    &_link:hover{
        color: $milan;
    }

    &_link:hover::before{
        transform: scaleX(1);
    }

    &_link:before {
        content: ' ';
        width: 100%;
        height: 3px;
        background-color: $madrid;
        position: absolute;
        left: 0;
        bottom: -5px;
        transform: scaleX(0);
    }
    &_button_sign{
        text-decoration: none;
    }
     
}

.conteiner {
    position: absolute;
    height: 520px;
    width: 480px;
    top: 130px;
    left: 60px;

    &_content {
        height: 260px;
        width: 400px;
        position: relative;
        top: 200px;
    }

    &_btn {
        position: absolute;
        bottom: 0px;
        left: 24px;
        font-size: 14px;
        background-color: $madrid;
        color: $london;
        text-decoration: none;
        padding: 14px 56px;
        border-radius: 12px;
    }
}

img {
    position: absolute;
    top: 170px;
    right: 0px;
}

h1 {
    position: absolute;
    color: $milan;
    font-size: 64px;
    font-weight: 700;
    font-size: 64px;
    line-height: 77px;
}

h2 {
    font-weight: 700;
    font-size: 32px;
    line-height: 39px;
}

p {
    padding-top: 18px;
    font-weight: 500;
    font-size: 16px;
    line-height: 19px;
}

ul {
    list-style-type: disc;
    padding-left: 20px;
    font-weight: 500;
    font-size: 16px;
    line-height: 19px;
}

.open_login{
    position: absolute;
    right: 50px;
    font-size: 14px;
    background-color: $paris;
    color: $london;
    text-decoration: none;
    padding: 12px 35px;
    border-radius: 12px;
}

.login__bg {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    background: rgba($paris,0.8);
    opacity: 0; // Скрываем фон и сам попап
    pointer-events: none; // Запрещаем ему быть целью событий
    transition: 0.5s all;
}
.login__bg.active { // При добавлении класса 'active'
    opacity: 1; // Показываем фон и попап
    pointer-events: all; // Возвращаем события
    transition: 0.5s all;
}

.login {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%) scale(0); // Центрируем и масштабируем в 0 само окно
    background:$london;
    width: 330px;
    padding: 25px;
    transition: 0.5s all;
}

.login.active { // При добавлении класса 'active'
    transform: translate(-50%, -50%) scale(1); // Так же центрируем и плавно увеличиваем
    transition: 0.5s all;
}

.close-login {
    position: absolute;
    top: 10px;
    right: 10px;
    cursor: pointer;
}

.login label {
    width: 100%;
    margin-bottom: 25px;
    display: flex;
    flex-direction: column-reverse;
}

.login .label__text {
    font-size: 14px;
    text-transform: uppercase;
    font-weight: 500;
    color: #cfd0d3;
    margin-bottom: 5px;
}

.login input {
    height: 45px;
    font-size: 18px;
    border: none;
    outline: none;
    border-bottom: 1px solid #cfd0d3;
}

.login input:focus {
    border-bottom: 1px solid #2982ff;
}

.login input:focus + .label__text {
    color: #2982ff;
}

.login button {
    width: 100%;
    height: 45px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #fff;
    font-size: 18px;
    border: 2px solid #2982ff;
    background: #2982ff;
    cursor: pointer;
    text-transform: uppercase;
    transition: 0.5s all;
}

.login button:hover {
    background: #fff;
    color:#2982ff;
    transition: 0.5s all;
}